Problem with IDE - rake command not working


#1

I'm getting this issue when I try to run rake commands, I've run bundle install and bundle exec rake db:migrate and neither have worked. I think something is wrong with my IDE. Has anyone run into this before and found a way to fix it?

rake aborted!
Gem::LoadError: You have already activated rak
e 12.0.0, but your Gemfile requires rake 10.4.
2. Prepending bundle exec to your command ma
y solve this.
/var/lib/gems/2.3.0/gems/bundler-1.14.6/lib/bu
ndler/runtime.rb:40:in block in setup'
/var/lib/gems/2.3.0/gems/bundler-1.14.6/lib/bu
ndler/runtime.rb:25:in
map'
/var/lib/gems/2.3.0/gems/bundler-1.14.6/lib/bu
ndler/runtime.rb:25:in setup'
/var/lib/gems/2.3.0/gems/bundler-1.14.6/lib/bu
ndler.rb:100:in
setup'
/var/lib/gems/2.3.0/gems/bundler-1.14.6/lib/bu
ndler/setup.rb:10:in <top (required)>'
/home/ccuser/workspace/learn-rails-many-to-man
y/config/boot.rb:4:in
'
/home/ccuser/workspace/learn-rails-many-to-man
y/config/application.rb:1:in <top (required)>
'
/home/ccuser/workspace/learn-rails-many-to-man
y/Rakefile:4:in
'
/home/ccuser/.gem/ruby/2.3.0/gems/rake-12.0.0/
exe/rake:27:in `'
LoadError: cannot load such file -- bundler/se
tup
/home/ccuser/workspace/learn-rails-many-to-man


#2

Hi @moncada.julian,

Please post a link to the exercise so I can take a look.

What was the output of bundle install?


#3

The error happens on multiple exercises in multiple different sections (i.e. Associations II, Bookmarks, Bass-Music). Here is a link to one of them https://www.codecademy.com/courses/learn-rails/lessons/many-to-many/exercises/many-to-many-movies-ii?action=lesson_resume
Below is the output for bundle install

$ bundle install
Using rake 10.4.2
Using i18n 0.7.0
Using json 1.8.2
Using minitest 5.6.0
Using thread_safe 0.3.5
Using builder 3.2.2
Using erubis 2.7.0
Using rack 1.5.2
Using mime-types 1.25.1
Using polyglot 0.3.5
Using arel 5.0.1.20140414130214
Using coffee-script-source 1.9.1.1
Using execjs 2.5.2
Using thor 0.19.1
Using diff-lcs 1.2.5
Using hike 1.2.3
Using multi_json 1.11.0
Using mini_portile 0.6.2
Using bundler 1.14.6
Using tilt 1.4.1
Using rspec-support 3.1.2
Using rspec-context-private 0.0.1
Using sass 3.2.19
Using sqlite3 1.3.9
Using rdoc 4.2.0
Using tzinfo 1.2.2
Using rack-test 0.6.3
Using treetop 1.4.15
Using coffee-script 2.4.1
Using uglifier 1.3.0
Using nokogiri 1.6.6.2
Using sprockets 2.11.0
Using rspec-core 3.1.7
Using rspec-expectations 3.1.2
Using rspec-mocks 3.1.3
Using sdoc 0.4.0
Using activesupport 4.1.1
Using mail 2.5.4
Using rspec 3.1.0
Using actionview 4.1.1
Using activemodel 4.1.1
Using jbuilder 2.2.2
Using rspec-html-matchers 0.6.1
Using actionpack 4.1.1
Using activerecord 4.1.1
Using actionmailer 4.1.1
Using railties 4.1.1
Using sprockets-rails 2.2.4
Using coffee-rails 4.0.0
Using jquery-rails 3.1.2
Using rspec-rails 3.1.0
Using rails 4.1.1
Using sass-rails 4.0.3
Using turbolinks 2.4.0
Bundle complete! 13 Gemfile depend
encies, 54 gems now installed.
Use `bundle show [gemname]` to see
 where a bundled gem is installed.

#4

@moncada.julian Thanks, I've reported the bug. Next time you encounter it, please do the same so the staff has more information on the problem.


#5

This topic was automatically closed 7 days after the last reply. New replies are no longer allowed.